TRANSFERCLEANER(1)

NAME
transferCleaner.pl - transfer amino acid LSSs on corresponding nucleotide alignment

VERSION
version 0.180750

USAGE
transferCleaner.pl <infiles> -log=<log> [-delchar <delchar> -costs <c1> <c2> <c3> <c4> --changeID --noX]

REQUIRED ARGUMENTS

<infile>
    list of alignment file to check with HMMCleaner

-log=<log>
    Log file

OPTIONS

-delchar <delchar>
    Replacement character for removed residues

-costs <c1> <c2> <c3> <c4>
    Cost parameters that defines the low similarity segments detected by HmmCleaner. Default values are -0.15, -0.08, 0.15, 0.45 Users can change each value but they have to be in increasing order. c1 < c2 < 0 < c3 < c4 Predefine value are also available with --large and --specificity options but user defined costs will be prioritary if present.

--changeID
    Determine if output will have defline with generic suffix (_hmmcleaned)

--noX
    Consider X characters as gap that will not be taken into account by HmmCleaner.

-profile=<profile>
    Determine how the profile will be create local or global (default: global) local = without the analyzed sequence (new profile each time) global = all sequences (same profile for each sequence) First case is more sensitive but need more ressource (hence more time)

--large
    Load predifined cost parameters optimized for MSA with at least 50 sequences. Can be use with --specificity option. User defined costs will be prioritary if present.

--specificity
    Load predifined cost parameters optimized to give more weigth on specificity. Can be use with --large option. User defined costs will be prioritary if present.

--log_only
    Only outputs list of segments removed.

--ali
    Outputs result file(s) in ali MUST format.

-v[erbosity]=<level>
    Verbosity level for logging to STDERR [default: 0]. Available levels range from 0 to 5.

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Arnaud Di Franco <arnaud.difranco@gmail.fr>

COPYRIGHT AND LICENSE
This software is copyright (c) 2018 by Arnaud Di Franco.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.